/**
 * @name reg-expressions.constants
 * @description Core reg-expressions.constants in ngx-responsive
 *
 * @license MIT
 */
export declare const REG_WEARABLES: {
    IWATCH: string;
};
export declare const REG_MOBILES: {
    ANDROID: {
        REG: RegExp;
        VALUE: "Android";
    };
    IPHONE: {
        REG: RegExp;
        VALUE: "Iphone";
    };
    WINDOWS_PHONE: {
        REG: RegExp;
        VALUE: "Windows Phone";
    };
    BLACKBERRY: {
        REG: RegExp;
        VALUE: "Blackberry";
    };
    BB10: {
        REG: RegExp;
        VALUE: "Blackberry";
    };
    WEB_OS: {
        REG: RegExp;
        VALUE: "Generic Mobile";
    };
    IPOD: {
        REG: RegExp;
        VALUE: "Iphone";
    };
    FIREFOX_OS: {
        REG: RegExp;
        VALUE: "Generic Mobile";
    };
    MOBI: {
        REG: RegExp;
        VALUE: "Generic Mobile";
    };
    GENERIC_REG_1: {
        REG: RegExp;
        VALUE: "Generic Mobile";
    };
    GENERIC_REG_2: {
        REG: RegExp;
        VALUE: "Generic Mobile";
    };
};
export declare const REG_TABLETS: {
    IPAD: {
        REG: RegExp;
        VALUE: "Ipad";
    };
    KINDLE: {
        REG: RegExp;
        VALUE: "Kindle";
    };
    TABLET: {
        REG: RegExp;
        VALUE: "Generic Tablet";
    };
    PLAYBOOK: {
        REG: RegExp;
        VALUE: "Generic Tablet";
    };
};
export declare const REG_SMARTS_TV: {
    CHROMECAST: {
        REG: RegExp;
        VALUE: "Chromecast";
    };
    APPLE_TV: {
        REG: RegExp;
        VALUE: "Apple tv";
    };
    GOOGLE_TV: {
        REG: RegExp;
        VALUE: "Google tv";
    };
    PS4: {
        REG: RegExp;
        VALUE: "Playstation 4";
    };
    XBOX_ONE: {
        REG: RegExp;
        VALUE: "Xbox One";
    };
    GENERIC_TV: {
        REG: RegExp;
        VALUE: "Generic smartv";
    };
};
export declare const REG_GAME_DEVICES: {
    PS4: {
        REG: RegExp;
        VALUE: "Playstation 4";
    };
    PS3: {
        REG: RegExp;
        VALUE: "Playstation 3";
    };
    XBOX: {
        REG: RegExp;
        VALUE: "Xbox";
    };
    XBOX_ONE: {
        REG: RegExp;
        VALUE: "Xbox One";
    };
    WII_U: {
        REG: RegExp;
        VALUE: "Wii U";
    };
    WII: {
        REG: RegExp;
        VALUE: "Wii";
    };
    PS_VITA: {
        REG: RegExp;
        VALUE: "Playstation Vita";
    };
    NINTENDO_3DS: {
        REG: RegExp;
        VALUE: "Nintendo 3DS";
    };
    PSP: {
        REG: RegExp;
        VALUE: "PSP";
    };
};
export declare const REG_IE_VERSIONS: {
    MS_MSIE: {
        REG: RegExp;
        VALUE: any;
    };
    MS_TRIDENT: {
        REG: RegExp;
        VALUE: any;
    };
    MS_EDGE: {
        REG: RegExp;
        VALUE: any;
    };
};
export declare const REG_BROWSERS: {
    CHROME: {
        REG: RegExp;
        VALUE: "chrome";
    };
    FIREFOX: {
        REG: RegExp;
        VALUE: "firefox";
    };
    WEB_VIEW: {
        REG: RegExp;
        VALUE: "safari";
    };
    SAFARI: {
        REG: RegExp;
        VALUE: "safari";
    };
    OPERA: {
        REG: RegExp;
        VALUE: "opera";
    };
    IE: {
        REG: RegExp;
        VALUE: "ie";
    };
    SILK: {
        REG: RegExp;
        VALUE: "silk";
    };
    YANDEX: {
        REG: RegExp;
        VALUE: "yandex";
    };
    NA: {
        REG: any;
        VALUE: "NA";
    };
};
export declare const REG_OS: {
    WINDOWS: {
        REG: RegExp;
        VALUE: "Windows";
    };
    IOS: {
        REG: RegExp;
        VALUE: "iOS";
    };
    MAC_OS: {
        REG: RegExp;
        VALUE: "Mac";
    };
    ANDROID: {
        REG: RegExp;
        VALUE: "Android";
    };
    LINUX: {
        REG: RegExp;
        VALUE: "Linux";
    };
    FIREFOX_OS: {
        REG: RegExp;
        VALUE: "Firefox OS";
    };
    CHROME_OS: {
        REG: RegExp;
        VALUE: "Chrome OS";
    };
    WINDOWS_PHONE: {
        REG: RegExp;
        VALUE: "Windows Phone";
    };
};
export declare const REG_SORT_NAMES: {
    MOZILLA: {
        REG: RegExp;
        VALUE: any;
    };
    CHROME: {
        REG: RegExp;
        VALUE: any;
    };
    WEBKIT: {
        REG: RegExp;
        VALUE: any;
    };
    APPLE_WEBKIT: {
        REG: RegExp;
        VALUE: any;
    };
    SAFARI: {
        REG: RegExp;
        VALUE: any;
    };
};
export declare const REG_WINDOWS_OS_VERSION: {
    WINDOWS_3_11: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_95: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_ME: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_98: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_CE: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_2000: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_XP: {
        REG: RegExp;
        VALUE: "Windows XP";
    };
    WINDOWS_SERVER_2003: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_VISTA: {
        REG: RegExp;
        VALUE: "Windows Vista";
    };
    WINDOWS_7: {
        REG: RegExp;
        VALUE: "Windows 7";
    };
    WINDOWS_8: {
        REG: RegExp;
        VALUE: "Windows 8";
    };
    WINDOWS_10: {
        REG: RegExp;
        VALUE: "Windows 10";
    };
    WINDOWS_NT_4_0: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
};
export declare const REG_WINDOWS_PHONE_OS_VERSION: {
    WINDOWS_PHONE_7_5: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_PHONE_8_1: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
    WINDOWS_PHONE_10: {
        REG: RegExp;
        VALUE: "Generic Windows";
    };
};
export declare const REG_MAC_OS_VERSION: {
    MAC_OS: string;
};
export declare const REG_LINUX_OS: {
    DEBIAN: {
        REG: RegExp;
        VALUE: "Debian";
    };
    KNOPPIX: {
        REG: RegExp;
        VALUE: "Knoppix";
    };
    MINT: {
        REG: RegExp;
        VALUE: "Mint";
    };
    UBUNTU: {
        REG: RegExp;
        VALUE: "Ubuntu";
    };
    KUBUNTU: {
        REG: RegExp;
        VALUE: "Kubuntu";
    };
    XUBUNTU: {
        REG: RegExp;
        VALUE: "Xubuntu";
    };
    LUBUNTU: {
        REG: RegExp;
        VALUE: "Lubuntu";
    };
    FEDORA: {
        REG: RegExp;
        VALUE: "Fedora";
    };
    RED_HAT: {
        REG: RegExp;
        VALUE: "Red hat";
    };
    MANDRIVA: {
        REG: RegExp;
        VALUE: "Mandriva";
    };
    GENTOO: {
        REG: RegExp;
        VALUE: "Gentoo";
    };
    SABAYON: {
        REG: RegExp;
        VALUE: "Sabayon";
    };
    SLACKWARE: {
        REG: RegExp;
        VALUE: "Slackware";
    };
    SUSE: {
        REG: RegExp;
        VALUE: "Suse";
    };
    CENT_OS: {
        REG: RegExp;
        VALUE: "CentOS";
    };
    BACKTRACK: {
        REG: RegExp;
        VALUE: "Backtrack";
    };
};
export declare const REG_BOTS: {
    GENERIC_BOT: {
        REG: RegExp;
        VALUE: "Generic Bot";
    };
};
