/**
 * @name responsive
 * @description Responsive directive in ngx-responsive
 *
 * @license MIT
 */
import { EventEmitter, TemplateRef, ViewContainerRef, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { IResponsivePattern } from '../../@core';
import { ResponsiveState } from '../../@core/providers/responsive-state/responsive-state';
import { ResponsiveWindowDirective } from "../responsive-window/responsive-window";
import { PlatformService } from '../../@core/providers/platform-service/platform.service';
export declare class ResponsiveDirective implements OnDestroy {
    templateRef: TemplateRef<Object>;
    private _responsiveState;
    private viewContainer;
    private cd;
    private _config;
    set responsive(config: string | string[]);
    get config(): string | string[];
    private _responsiveContainer;
    set responsiveContainer(value: ResponsiveWindowDirective);
    get responsiveContainer(): ResponsiveWindowDirective;
    changes: EventEmitter<any>;
    private _windows;
    private _window;
    private _isEnabledForPlatform;
    set_values: IResponsivePattern;
    private set_active_subscriptions;
    private match_multiple;
    private _subscription_Bootstrap;
    private _subscription_Browser;
    private _subscription_Pixel_Ratio;
    private _subscription_Device;
    private _subscription_Orientation;
    private _subscription_Standard;
    private _subscription_IE_Version;
    private _subscription_custom_sizes;
    protected _showWhenTrue: boolean;
    private _globalNoRepeat;
    private _noRepeatBootstrapName;
    private _bootstrapNoRepeat;
    private _deviceNoRepeat;
    private _standardNoRepeat;
    private _orientationNoRepeat;
    private _browserNoRepeat;
    private _pixelratioNoRepeat;
    private _ieNoRepeat;
    private _sizesNoRepeat;
    private _bootstrap_user_param;
    private _devices_user_param;
    private _standard_user_param;
    private _orientation_user_param;
    private _browser_user_param;
    private _pixelratio_user_param;
    private _ie_user_param;
    private _sizes_user_param;
    private _sizes_window;
    protected _actives: string[];
    constructor(templateRef: TemplateRef<Object>, _responsiveState: ResponsiveState, viewContainer: ViewContainerRef, cd: ChangeDetectorRef, platformService: PlatformService);
    init_responsive(): void;
    private updateBootstrap;
    private updateBrowser;
    private updateDevice;
    private updatePixelRatio;
    private updateOrientation;
    private updateStandard;
    private updateIEversion;
    private updateSizes;
    private updateEvent;
    private showHideOperations;
    private matchValues;
    ngOnDestroy(): void;
    private _ifValueChanged;
    private isJSON;
}
